% Add the nofoldmark option if you don't need the dot between pp.2--3
% It is a mark to do three-folding precisely
\documentclass[a4paper,12pt,notumble,english]{leaflet}

\hyphenation{post-market-OS}

% Penalize hyphnation bit heavier than usual, yet possible
\hyphenpenalty=5000
\tolerance=1000

\usepackage{babel}
\usepackage[useregional]{datetime2}
\usepackage{graphicx}
\usepackage{microtype}
\usepackage{qrcode}
\usepackage{url}

\usepackage{xcolor}
\definecolor{pmosgreen}{RGB}{0,153,0}

\usepackage{titlesec}
\titleformat{\section}
{\color{pmosgreen}\normalfont\Large\bfseries}
{\color{pmosgreen}\thesection}{1em}{}

\usepackage{fontspec}
\setmainfont{Noto Serif}
\setsansfont{Noto Sans}
\setmonofont{Noto Sans Mono}
\renewcommand{\familydefault}{\sfdefault}

\renewcommand{\emph}[1]{{\color{pmosgreen}\textbf{#1}}}

\pagenumbering{gobble}

\begin{document}
\begin{center}
    \includegraphics[width=0.75\pageheight,angle=-90]{pmos_logo.pdf}

    \vfill

    {\Large\bfseries\color{pmosgreen} English}
\end{center}
\clearpage

\section{What is postmarketOS?}

postmarketOS is a \emph{free and open-source} operating system extending Alpine Linux to run on \emph{smartphones, tablets, laptops, desktops, set-top boxes, game consoles,} and more.

In contrast to major mobile operating systems, postmarketOS uses \emph{well-established Linux libraries and frameworks} so that many of your favorite Linux applications can run on mobile devices with minimal effort.

postmarketOS supports \emph{user interfaces for mobile devices} with a touchscreen as well as traditional \emph{Linux desktop environments} and other user interfaces for kiosks, TVs, etc.

postmarketOS offers a \emph{bleeding edge} rolling release and twice-per-year \emph{stable releases.}

\vfill
\begin{center}
    \includegraphics[width=0.8\pagewidth]{devices.pdf}
\end{center}
\vfill
\clearpage

\section{postmarketOS Community}

The postmarketOS community can be found in bridged \emph{IRC} and \emph{Matrix} chats, as well as on \emph{Mastodon}, \emph{Lemmy} and of course at \emph{real-life free and open-source software and hardware events.}

postmarketOS has two \emph{official blogs:} one is for general announcements and reports, and the other one is for development status and breakage notices of the bleeding edge version.

The \emph{postmarketOS Podcast} has long-form discussions about mobile Linux development, interviews with developers, and live recordings from events.

The \emph{postmarketOS Wiki} features installation guides, the status of device support, tutorials, tips and tricks, and more.

\emph{postmarketOS uses free and open-source software as the infrastructure,} such as a self-hosted GitLab instance for development.

Follow the link below and \emph{join us!}

\vfill
\begin{center}\bfseries\large
    \qrcode[hyperlink,height=0.3\pagewidth]{https://postmarketos.org/explore/}

    \vspace{0.5em}

    \texttt{postmarketos.org/explore}
\end{center}
\vfill
\clearpage

% Photo gellery

\begin{center}
    \includegraphics[width=0.75\pagewidth]{froscon2024a.jpg}

    postmarketOS developers at FrOSCon 2024
\end{center}

\vfill

\begin{center}
    \includegraphics[width=0.75\pagewidth]{froscon2024b.jpg}

    postmarketOS and others running on\\actual devices at FrOSCon 2024
\end{center}

\vfill

\begin{center}
    \includegraphics[width=0.75\pagewidth]{gnomehackfest2023.jpg}

    Smartphones at GNOME Hackfest 2023
\end{center}

\clearpage

\section{Why postmarketOS?}

The postmarketOS project was launched to \emph{fix problems in the mobile device ecosystem.}

Due to \emph{design choices from manufacturers,} devices often receive \emph{no software updates anymore} even though the hardware is still perfectly functional.

Without software updates, users will get \emph{no security fixes} and have to decide between the bad choices of \emph{running insecure devices} or \emph{creating more e-waste than necessary} by replacing their devices with new ones.

Even slightly outdated hardware is \emph{still useful for basic tasks} as long as it receives regular security updates on time.

Besides, the adaptation to \emph{attention economy} spoils several major operating systems. \emph{Built-in targeted advertising} does not improve users' productivity but harms their privacy.

We need a \emph{sustainable and maintainable} solution to these problems, and we believe that \emph{we can fix the problems as a community.}

We regularly \emph{collaborate with other free and open-source projects} and try to get our improvements upstream wherever we can so that \emph{our work benefits other projects} too.

We believe that \emph{operating systems should honestly act in service of their users,} avoiding distraction and respecting privacy.

Nowadays, postmarketOS is for more than just mobile devices. \emph{Various consumer products face similar situations.}

% Let's keep our devices \emph{useful and safe} until they physically break!
\clearpage

\section{Why mainline matters}

In the context of the Linux kernel, \emph{the mainline kernel} refers to the \emph{upstream} versions distributed from the \texttt{kernel.org} website.

On Android devices, you will find \emph{downstream kernels} instead, forked from mainline at one point but heavily modified by device vendors with device drivers and other changes to the point that \emph{it is often next to impossible to just upgrade to a newer version.}

We \emph{use the mainline kernel} wherever we can and encourage ourselves to \emph{contribute device-specific changes to upstream} instead of using and extending the downstream kernel.

The \emph{code quality of the downstream kernel is usually insufficient} to be accepted upstream. Large parts of the downstream-specific drivers are often moved into proprietary parts in the userspace, which are \emph{only possible to use when emulating the expected userspace environment.}

As a result, \emph{the maintenance cost of the downstream kernel is higher} than that of the mainline kernel. You will only receive improvements from the Linux kernel development community if you \emph{modify every patch to fit into the downstream kernel.}

Making your device supported by the mainline kernel means \emph{you can benefit from every improvement and security fix the latest kernel offers.}

Read more about mainlining at:\\\textbf{\texttt{https://postmarketos.org/mainlining}}
\clearpage
\end{document}